at.chipkarte.client.gina.soap

## Class StatusInformationen

- Object
- - at.chipkarte.client.gina.soap.StatusInformationen

-     public class StatusInformationen
      extends Object

  Enthält GINA-Informationen und Verfügbarkeitsinformationen zu den auf der GINA installierten Services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusInformationen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GinaInfo` | `getGinaInfo()` Enthält Informationen zu GINA-Parametern.
    `ServiceStatusInformation[]` | `getServiceStatusInformation()` Liste der installierten Services inklusive Statusinformationen und Hinweisen.
    `String` | `getWartungsfensterBis()` Ende des Wartungsfensters.
    `String` | `getWartungsfensterHinweis()` Hinweis zum Wartungsfenster, wenn dieses aktiv ist.
    `String` | `getWartungsfensterText()` Gesamtinformation zum Wartungsfenster (Text mit Zeitraumangabe).
    `String` | `getWartungsfensterVon()` Beginn des Wartungsfensters.
    `Boolean` | `isWartungsfensterKennzeichen()` Flag zur Kennzeichnung, ob aktuell ein Wartungsfenster aktiv ist.
    `void` | `setGinaInfo(GinaInfo ginaInfo)`
    `void` | `setServiceStatusInformation(ServiceStatusInformation[] serviceStatusInformation)`
    `void` | `setWartungsfensterBis(String wartungsfensterBis)`
    `void` | `setWartungsfensterHinweis(String wartungsfensterHinweis)`
    `void` | `setWartungsfensterKennzeichen(Boolean wartungsfensterKennzeichen)`
    `void` | `setWartungsfensterText(String wartungsfensterText)`
    `void` | `setWartungsfensterVon(String wartungsfensterVon)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusInformationen

          public StatusInformationen()

  - ### Method Detail

    - #### getGinaInfo

          public GinaInfo getGinaInfo()

      Enthält Informationen zu GINA-Parametern.
      Returns:
        GinaInfo.

    - #### setGinaInfo

          public void setGinaInfo(GinaInfo ginaInfo)

    - #### getServiceStatusInformation

          public ServiceStatusInformation[] getServiceStatusInformation()

      Liste der installierten Services inklusive Statusinformationen und Hinweisen.
      Returns:
        Liste der installierten Services

    - #### setServiceStatusInformation

          public void setServiceStatusInformation(ServiceStatusInformation[] serviceStatusInformation)

    - #### getWartungsfensterBis

          public String getWartungsfensterBis()

      Ende des Wartungsfensters.
      Format: TT.MM.JJJJ hh:mm
      Dieses Attribut ist nur versorgt, wenn WartungsfensterKennzeichen gleich true ist.
      Returns:
        Zeitstempel - Endes des Wartungsfensters

    - #### setWartungsfensterBis

          public void setWartungsfensterBis(String wartungsfensterBis)

    - #### getWartungsfensterHinweis

          public String getWartungsfensterHinweis()

      Hinweis zum Wartungsfenster, wenn dieses aktiv ist.
      Format: maximal 64-stellig
      Dieses Attribut ist nur versorgt, wenn WartungsfensterKennzeichen gleich true ist.
      Returns:
        Wartungsfenster-Hinweistext

    - #### setWartungsfensterHinweis

          public void setWartungsfensterHinweis(String wartungsfensterHinweis)

    - #### isWartungsfensterKennzeichen

          public Boolean isWartungsfensterKennzeichen()

      Flag zur Kennzeichnung, ob aktuell ein Wartungsfenster aktiv ist.
      Returns:
        Wartungsfensterkennzeichen

    - #### setWartungsfensterKennzeichen

          public void setWartungsfensterKennzeichen(Boolean wartungsfensterKennzeichen)

    - #### getWartungsfensterText

          public String getWartungsfensterText()

      Gesamtinformation zum Wartungsfenster (Text mit Zeitraumangabe).
      Format: maximal 64-stellig
      Dieses Attribut ist nur versorgt, wenn WartungsfensterKennzeichen gleich true ist.
      Returns:
        Wartungsfenster-Information in Textform

    - #### setWartungsfensterText

          public void setWartungsfensterText(String wartungsfensterText)

    - #### getWartungsfensterVon

          public String getWartungsfensterVon()

      Beginn des Wartungsfensters.
      Format: TT.MM.JJJJ hh:mm
      Dieses Attribut ist nur versorgt, wenn WartungsfensterKennzeichen gleich true ist.
      Returns:
        Zeitstempel - Beginns des Wartungsfensters.

    - #### setWartungsfensterVon

          public void setWartungsfensterVon(String wartungsfensterVon)